geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Delos Dai (JIRA)" <>
Subject [jira] Updated: (GERONIMODEVTOOLS-581) GEP 2.2 can't be installed on WTP 3.1 used by Eclipse 3.5 Galileo
Date Tue, 30 Jun 2009 06:39:47 GMT


Delos Dai updated GERONIMODEVTOOLS-581:

    Attachment: 581_missingfile.patch


I can reproduce Donald's problem on Suse Linux 10. After investigation, I found the reason
for missing is the "targetPath" value in pom.xml. 

The value is "/org/apache/geronimo/st/v20/ui/internal", which seems a absolute path. On Suse
Linux and Mac, the path can't be found, as a result, the file is missing. But it works on
Windows and Ubuntu.  So the solution is to remove the first "/" to make it a relative path.
Attached 581_missingfile.patch for this.

BTW, interestingly, the "targetPath" in other plugins are all relative path, we only need
to change the pom.xml in plugin


> GEP 2.2 can't be installed on WTP 3.1 used by Eclipse 3.5 Galileo
> -----------------------------------------------------------------
>                 Key: GERONIMODEVTOOLS-581
>                 URL:
>             Project: Geronimo-Devtools
>          Issue Type: Bug
>          Components: eclipse-plugin
>    Affects Versions: 2.2.0
>            Reporter: Delos Dai
>            Assignee: Delos Dai
>             Fix For: 2.2.0
>         Attachments: 581.patch, 581_missingfile.patch, 581new.patch, gep-trunk-788843.wep22.patch
> GEP 2.2 can't be installed on WTP 3.1, which is used by Eclipse 3.5 ,Galileo. 

This message is automatically generated by JIRA.
You can reply to this email to add a comment to the issue online.

View raw message